

%define framework kfilemetadata
%define oname kfilemetadata5
%define kf5filemetadata_major 5
%define libkf5filemetadata %mklibname kf5filemetadata %{kf5filemetadata_major}
%define kf5filemetadata_devel %mklibname kf5filemetadata -d

Summary:        A library for extracting file metadata
Name:           %oname
Version: 		5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: libqt5base5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5imageformats-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5bluetooth-devel

BuildRequires: libqt5clucene-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5designer-devel
BuildRequires: libqt5labstemplates-devel
BuildRequires: libqt5location-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5nfc-devel
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5platformsupport-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5quickparticles-devel
BuildRequires: libqt5quicktest-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5script-devel
BuildRequires: libqt5scripttools-devel
BuildRequires: libqt5sensors-devel
BuildRequires: libqt5serialport-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5test-devel
BuildRequires: libqt5waylandclient-devel
BuildRequires: libqt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  attr-devel

BuildRequires:  libpoppler-qt5-devel
BuildRequires:  libtaglib-devel
BuildRequires:  libexiv2-devel
BuildRequires:  libffmpeg-devel


BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kservice-devel
BuildRequires:  karchive-devel


%description
A library for extracting file metadata

%files
#%_kf5_plugindir/kfilemetadata
/etc/xdg/kfilemetadata.categories
#--------------------------------------------------------------------
%_kf5_libdir/libKF5FileMetaData.so.%{kf5filemetadata_major}*
%_kf5_libdir/libKF5FileMetaData.so.3
#--------------------------------------------------------------------
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_exiv2extractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_ffmpegextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_odfextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_office2007extractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_officeextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_plaintextextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_poextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_popplerextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_taglibextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/writers/kfilemetadata_taglibwriter.so

%package -n %kf5filemetadata_devel

Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5filemetadata_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5filemetadata_devel
%_kf5_includedir/KFileMetaData
%_libdir/cmake/KF5FileMetaData
%_kf5_libdir/libKF5FileMetaData.so
%_kf5_libdir/qt5/mkspecs/modules/qt_KFileMetaData.pri
#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
#%find_lang  %framework

#remove conflicts
rm -rf  %buildroot/%{_datadir}/locale

%changelog
* Sun Oct 28 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2018
- update
